package com.fjhx.wms.service.stock;

import com.fjhx.wms.entity.stock.po.StockJournal;
import com.fjhx.wms.entity.stock.dto.StockJournalDto;
import com.fjhx.wms.entity.stock.dto.StockJournalSelectDto;
import com.fjhx.wms.entity.stock.vo.StockJournalVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;


/**
 * <p>
 * 出入库记录 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockJournalService extends BaseService<StockJournal> {

    /**
     * 出入库调参记录分页
     */
    Page<StockJournalVo> getPage(StockJournalSelectDto dto);

    /**
     * 出入库记录明细
     */
    StockJournalVo detail(Long id);

    /**
     * 出入库记录新增
     */
    void add(StockJournalDto stockJournalDto);

    /**
     * 出入库记录编辑
     */
    void edit(StockJournalDto stockJournalDto);

    /**
     * 出入库记录删除
     */
    void delete(Long id);

}
